## org.apache.maven.shared.jar.classes
Class JarClassesAnalysis

    java.lang.Object
      org.codehaus.plexus.logging.AbstractLogEnabled
          org.apache.maven.shared.jar.classes.JarClassesAnalysis

All Implemented Interfaces:
  org.codehaus.plexus.logging.LogEnabled

    public class JarClassesAnalysis

extends org.codehaus.plexus.logging.AbstractLogEnabled

Analyze the classes in a JAR file. This class is thread safe and immutable as it retains no state.

Note that you must first create an instance of `JarAnalyzer` - see its Javadoc for a typical use.

See Also:
  `analyze(org.apache.maven.shared.jar.JarAnalyzer)`
Plexus Component:
  role="org.apache.maven.shared.jar.classes.JarClassesAnalysis" role-hint="default"

Constructor Summary
`JarClassesAnalysis()`

Method Summary
`JarClasses` `analyze(JarAnalyzer jarAnalyzer)` Analyze a JAR and find any classes and their details.

Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled
`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarClassesAnalysis

    public JarClassesAnalysis()

Method Detail

### analyze

    public JarClasses analyze(JarAnalyzer jarAnalyzer)

  Analyze a JAR and find any classes and their details. Note that if the provided JAR analyzer has previously analyzed the JAR, the cached results will be returned. You must obtain a new JAR analyzer to the re-read the contents of the file.

  Parameters:
    `jarAnalyzer` - the JAR to analyze. This must not yet have been closed.
  Returns:
    the details of the classes found

Copyright © 2011. All Rights Reserved.